/* (C) 2022 YiRing, Inc. */
package com.yiring.app.constant;

import io.swagger.annotations.ApiModel;

/**
 * 业务状态码
 * eg: <code>throw new CodeException(Code.FAIL)</code>
 *
 * @author Jim
 * @version 0.1
 * 2022/3/25 9:23
 */

@SuppressWarnings({ "unused" })
@ApiModel("业务状态码")
public enum Code {
    SUCCESS(0, "成功"),

    // TODO: 扩展业务状态
    // eg:
    //     10001: 用户被禁止登录

    FAIL(10000, "测试错误");

    private final int value;
    private final String reasonPhrase;

    Code(int value, String reasonPhrase) {
        this.value = value;
        this.reasonPhrase = reasonPhrase;
    }

    /**
     * Return the integer value of this status code.
     */
    public int value() {
        return this.value;
    }

    /**
     * Return the reason phrase of this status code.
     */
    public String reason() {
        return this.reasonPhrase;
    }
}
