/* (C) 2022 YiRing, Inc. */
package com.yiring.app.constant.alarm;

import com.yiring.app.vo.CodeNameVo;
import java.util.ArrayList;
import java.util.List;
import lombok.Getter;

/**
 * 通知方式枚举
 * @author tml
 * @version 1.0
 * @date 2022/5/5 16:05
 */
public enum InformMannerEnum {
    /**
     * app消息通知
     */
    APP(1, "app消息"),

    /**
     * 短信通知
     */
    MESSAGES(2, "短信通知"),

    /**
     * 电话通知
     */
    PHONE(3, "电话通知");

    @Getter
    private final Integer code;

    @Getter
    private final String name;

    private static final List<CodeNameVo> LIST;

    static {
        LIST = new ArrayList<CodeNameVo>();
        for (InformMannerEnum item : values()) {
            LIST.add(new CodeNameVo(item.code, item.name));
        }
    }

    InformMannerEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public static String getByCode(Integer code) {
        for (InformMannerEnum item : values()) {
            if (item.getCode().equals(code)) {
                return item.getName();
            }
        }
        return "未知通知类型";
    }

    public static List<CodeNameVo> getAll() {
        return LIST;
    }
}
