/* (C) 2022 YiRing, Inc. */
package com.yiring.app.design.check.rule;

import com.yiring.app.constant.alarm.RelevanceParamEnum;
import com.yiring.app.design.check.IParamInitStrategy;
import com.yiring.app.param.location.rule.LocationFenceRuleAddParam;
import com.yiring.app.param.location.rule.RuleParam;
import com.yiring.common.core.Result;
import com.yiring.common.core.Status;
import java.util.ArrayList;
import org.springframework.stereotype.Component;

/**
 * @author tml
 * @version 1.0
 * @date 2022/4/29 9:32
 */
@Component
public class StaticDurationStrategy implements IParamInitStrategy<LocationFenceRuleAddParam> {

    public StaticDurationStrategy() {
        Integer relevanceParam = RelevanceParamEnum.STATIC_DURATION.getCode();
        LocationFenceRuleContext.register(relevanceParam, this);
    }

    @Override
    public Result<String> paramInit(LocationFenceRuleAddParam param) {
        RuleParam ruleParam = param.getRuleParam();
        if (ruleParam.getDuration() == null || ruleParam.getDuration() < 0) {
            return Result.no(Status.EXPECTATION_FAILED, "静止时长异常");
        }
        ruleParam.setDistance(-1);
        ruleParam.setTimeAndUser(new ArrayList<>());
        ruleParam.setTimeAndNumber(new ArrayList<>());
        return Result.ok();
    }
}
