/* (C) 2022 YiRing, Inc. */
package com.yiring.app.design.check.rule;

import com.yiring.app.constant.alarm.RelevanceParamEnum;
import com.yiring.app.design.check.IParamInitStrategy;
import com.yiring.app.param.location.rule.LocationFenceRuleAddParam;
import com.yiring.app.param.location.rule.RuleParam;
import com.yiring.common.core.Result;
import com.yiring.common.core.Status;
import java.util.ArrayList;
import org.springframework.stereotype.Component;

/**
 * @author tml
 * @version 1.0
 * @date 2022/4/29 9:33
 */
@Component
public class TriggerAlarmDistanceStrategy implements IParamInitStrategy<LocationFenceRuleAddParam> {

    public TriggerAlarmDistanceStrategy() {
        Integer relevanceParam = RelevanceParamEnum.TRIGGER_ALARM_DISTANCE.getCode();
        LocationFenceRuleContext.register(relevanceParam, this);
    }

    @Override
    public Result<String> paramInit(LocationFenceRuleAddParam param) {
        RuleParam ruleParam = param.getRuleParam();
        if (ruleParam.getDistance() == null || ruleParam.getDistance() < 0) {
            return Result.no(Status.EXPECTATION_FAILED, "触发报警距离异常");
        }
        ruleParam.setDuration(-1);
        ruleParam.setTimeAndUser(new ArrayList<>());
        ruleParam.setTimeAndNumber(new ArrayList<>());
        return Result.ok();
    }
}
