/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.alarm;

import java.io.Serializable;
import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

/**
 * @author tml
 * @version 1.0
 * @date 2022/4/27 14:41
 */
@Repository
public interface AlarmTypeRepository
    extends JpaRepository<AlarmType, Serializable>, JpaSpecificationExecutor<AlarmType> {
    /**
     * 查询名称是否存在
     * @param name 名称
     * @return true:存在 false:不存在
     */
    Boolean existsByName(String name);

    /**
     * 根据名称查询
     * @param name 名称
     * @return 是否存在
     */
    List<AlarmType> findAllByName(String name);
}
