/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.appletUser;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import javax.persistence.*;
import lombok.*;
import lombok.experimental.FieldDefaults;
import org.hibernate.annotations.Comment;

@Data
@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Comment("小程序用户表")
@FieldDefaults(level = AccessLevel.PRIVATE)
@Entity
@Table(name = "BS_APPLET_USER")
public class AppletUser implements Serializable {

    @Serial
    private static final long serialVersionUID = 5188008300684723724L;

    @Id
    @Comment("用户唯一标识")
    String openid;

    @Comment("用户电话")
    String mobile;

    @Comment("最后登录时间")
    LocalDateTime LastLoginTime;

    @Comment("创建时间")
    LocalDateTime createTime;
}
