/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.icon;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import lombok.*;
import lombok.experimental.FieldDefaults;
import lombok.experimental.FieldNameConstants;
import org.hibernate.annotations.Comment;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.snowflake.SnowflakeId;

/**
 *
 * @author tzl
 * @version 1.0
 * @description: 图标
 * @date 2022/4/29 11:08
 */
@Getter
@Setter
@ToString
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@FieldDefaults(level = AccessLevel.PRIVATE)
@Entity
@Table(name = "BS_ICON")
@Comment("图标")
public class Icon implements Serializable {

    @Serial
    private static final long serialVersionUID = 7848846860889883431L;

    @Comment("编号")
    @Id
    @GeneratedValue(generator = SnowflakeId.GENERATOR)
    @GenericGenerator(name = SnowflakeId.GENERATOR, strategy = SnowflakeId.Strategy.LONG)
    Long id;

    @Comment("图标名称")
    String iconName;

    @Comment("图标类型")
    String iconType;

    @Comment("图标分类")
    String iconSort;

    @Comment("在线图标")
    String iconOnline;

    @Comment("离线图标")
    String iconOffline;

    @Comment("创建时间")
    LocalDateTime createTime;

    @Comment("修改时间")
    LocalDateTime updateTime;
}
