/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.location;

import java.io.Serializable;
import java.util.Set;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

/**
 * @author Jim
 * @version 0.1
 * 2022/4/24 14:19
 */

@Repository
public interface LocationBeaconRepository
    extends JpaRepository<LocationBeacon, Serializable>, JpaSpecificationExecutor<LocationBeacon> {
    /**
     * 根据编号集合查询
     * @param codes 编号集合
     * @return 查询结果
     */
    Set<LocationBeacon> findByCodeIn(Set<String> codes);
}
