/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.location;

import com.yiring.app.domain.alarm.AlarmType;
import com.yiring.common.domain.BasicEntity;
import java.io.Serial;
import java.io.Serializable;
import java.util.Objects;
import javax.persistence.*;
import lombok.*;
import lombok.experimental.FieldNameConstants;
import lombok.experimental.SuperBuilder;
import org.hibernate.Hibernate;
import org.hibernate.annotations.Comment;
import org.hibernate.annotations.Where;

/**
 * 围栏规则
 * TODO: 规则待梳理
 *
 * @author Jim
 * @version 0.1
 * 2022/4/7 18:25
 */

@Getter
@Setter
@ToString
@SuperBuilder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@Where(clause = "deleted = false")
@Entity
@Table(name = "BS_LOCATION_FENCE_RULE")
@Comment("围栏规则")
public class LocationFenceRule extends BasicEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = -6683465582430417205L;

    @Comment("围栏")
    @ManyToOne
    @JoinColumn(name = "fence_id")
    private LocationFence fence;

    @Comment("报警类别")
    @ManyToOne
    @JoinColumn(name = "alarm_id")
    private AlarmType alarmType;

    @Comment("关联参数类别")
    private Integer relevanceParamType;

    @Comment("规则,用json存入")
    private String rule;

    @Comment(value = "是否删除")
    @Column(nullable = false)
    Boolean deleted;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || Hibernate.getClass(this) != Hibernate.getClass(o)) return false;
        LocationFenceRule that = (LocationFenceRule) o;
        return getId() != null && Objects.equals(getId(), that.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hash(super.hashCode(), fence, alarmType, relevanceParamType, rule, deleted);
    }
}
