/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.location;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.FetchType;
import javax.persistence.OneToOne;
import lombok.*;
import lombok.experimental.FieldDefaults;
import lombok.experimental.FieldNameConstants;
import org.hibernate.annotations.Comment;

/**
 * 定位标签时序联合主键
 * @author Jim
 * @version 0.1
 * 2022/5/10 10:24
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@FieldDefaults(level = AccessLevel.PRIVATE)
@Embeddable
public class TagTimeId implements Serializable {

    @Serial
    private static final long serialVersionUID = -5254861902659471641L;

    @Comment("定位标签")
    @OneToOne(fetch = FetchType.LAZY)
    LocationTag tag;

    @Comment("定位时间")
    @Column(nullable = false, columnDefinition = "timestamp without time zone")
    LocalDateTime time;

    public TagTimeId(LocationTag tag) {
        this.tag = tag;
        this.time = LocalDateTime.now();
    }
}
