/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.video;

import java.io.Serializable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

/**
 * @author Jim
 * @version 0.1
 * 2022/4/8 10:25
 */

@Repository
public interface VideoRepository extends JpaRepository<Video, Serializable>, JpaSpecificationExecutor<Video> {
    /**
     * 根据监控点位名称模糊查询
     * @author tzl
     * @date 2022/4/27 13:39
     * @param VideoName 监控点位名称
     * @return com.yiring.app.domain.video.Video
     */
    Video findByVideoNameLike(String VideoName);
}
