/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.visitor;

import java.io.Serializable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * @author tzl
 * 2022/4/11 13:42
 */
@Repository
public interface CarRepository extends JpaRepository<Car, Serializable>, JpaSpecificationExecutor<Car> {
    /**
     * 检查车牌号车辆是否已经在园内
     *
     * @param param String 车牌号码
     * @return 是否存在
     */
    @Query("SELECT COUNT(c.id) FROM Car c where carNum=?1 and cardRecTime is null")
    int hasCarInfoByCarNum(String param);
}
