/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.visitor;

import java.io.Serializable;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

/**
 * @author tzl
 * 2022/4/24 16:53
 */
@Repository
public interface InvitationRepository
    extends JpaRepository<Invitation, Serializable>, JpaSpecificationExecutor<Invitation> {
    /**
     * 小程序用户查看邀请信息
     * @author tzl
     * @date 2022/4/28 11:08
     * @param mobile 手机
     * @param deleted 是否删除
     * @return java.util.List<com.yiring.app.domain.visitor.Invitation>
     */
    Page<Invitation> findAllByVisitor_VisitorMobileAndVisitor_Deleted(String mobile, String deleted, Pageable pageable);
}
