/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.visitor;

import java.io.Serializable;
import java.util.List;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

/**
 * @author tzl
 * 2022/4/19 14:06
 */
@Repository
public interface VisitorRepository extends JpaRepository<Visitor, Serializable>, JpaSpecificationExecutor<Visitor> {
    Visitor findByIdAndDeleted(Long id, String deleted);

    List<Visitor> findAllByMainVisitorIdAndDeletedEquals(Long mainId, String deleted);

    List<Visitor> findAllByMainVisitorIdAndDeletedEqualsAndIdIsNot(Long mainId, String deleted, Long id);

    Page<Visitor> findAllByVisitorMobileAndDeletedEquals(String mobile, String deleted, Pageable pageable);
}
