/* (C) 2022 YiRing, Inc. */
package com.yiring.app.excel.analysis.history;

import com.github.liaochong.myexcel.core.annotation.ExcelColumn;
import com.github.liaochong.myexcel.core.annotation.ExcelModel;
import com.yiring.app.vo.analysis.history.HistoryRouteVo;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Builder;
import lombok.Data;
import org.locationtech.jts.geom.Point;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/6 15:23
 */
@ExcelModel
@Data
@Builder
public class HistoryRouteExcel implements Serializable {

    @Serial
    private static final long serialVersionUID = 3021760052313853701L;

    @ExcelColumn(title = "姓名")
    private String name;

    @ExcelColumn(title = "工号")
    private String uuid;

    @ExcelColumn(title = "经度")
    private Double x;

    @ExcelColumn(title = "纬度")
    private Double y;

    @ExcelColumn(title = "地图名称")
    private String mapName;

    @ExcelColumn(title = "记录时间", width = 20)
    private LocalDateTime writeTime;

    public static HistoryRouteExcel transform(HistoryRouteVo historyRouteVo) {
        HistoryRouteExcel routeExcel = HistoryRouteExcel
            .builder()
            .name(historyRouteVo.getName())
            .uuid(historyRouteVo.getUuid())
            .mapName(historyRouteVo.getMapName())
            .writeTime(historyRouteVo.getWriteTime())
            .build();
        Point point = historyRouteVo.getPoint();
        if (point != null) {
            routeExcel.setX(point.getX());
            routeExcel.setY(point.getY());
        }
        return routeExcel;
    }
}
