/* (C) 2022 YiRing, Inc. */
package com.yiring.app.excel.broadcast;

import com.github.liaochong.myexcel.core.annotation.ExcelColumn;
import com.github.liaochong.myexcel.core.annotation.ExcelModel;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/6 9:04
 */
@ExcelModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@FieldDefaults(level = AccessLevel.PRIVATE)
public class BroadcastExportExcel implements Serializable {

    @Serial
    private static final long serialVersionUID = 2342047029622668894L;

    @ExcelColumn(title = "编号", width = 10)
    String broadcastNum;

    @ExcelColumn(title = "设备名称", width = 10)
    String broadcastName;

    @ExcelColumn(title = "经度")
    double lon;

    @ExcelColumn(title = "纬度")
    double lat;

    @ExcelColumn(title = "设备地址", width = 10)
    String broadcastAdd;

    @ExcelColumn(title = "备注", width = 15)
    String remark;
}
