/* (C) 2022 YiRing, Inc. */
package com.yiring.app.excel.broadcast;

import com.github.liaochong.myexcel.core.annotation.ExcelColumn;
import com.github.liaochong.myexcel.core.annotation.ExcelModel;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * 2022/5/6 09:12
 */
@ExcelModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@FieldDefaults(level = AccessLevel.PRIVATE)
public class BroadcastImportExcel implements Serializable {

    @Serial
    private static final long serialVersionUID = 5422685189135254189L;

    @ExcelColumn(title = "编号")
    String broadcastNum;

    @ExcelColumn(title = "设备名称")
    String broadcastName;

    @ExcelColumn(title = "经度")
    double lon;

    @ExcelColumn(title = "纬度")
    double lat;

    @ExcelColumn(title = "设备地址")
    String broadcastAdd;

    @ExcelColumn(title = "备注")
    String remark;
    //    String status;
}
