/* (C) 2022 YiRing, Inc. */
package com.yiring.app.excel.location;

import com.github.liaochong.myexcel.core.annotation.ExcelColumn;
import com.github.liaochong.myexcel.core.annotation.ExcelModel;
import com.yiring.app.vo.location.rule.LocationAlarmRuleVo;
import java.io.Serial;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/6 11:11
 */
@ExcelModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class LocationAlarmRuleExcel implements Serializable {

    @Serial
    private static final long serialVersionUID = -898420880457790036L;

    @ExcelColumn(title = "地图名称")
    private String mapName;

    @ExcelColumn(title = "电子围栏名称")
    private String fenceName;

    @ExcelColumn(title = "接收人", width = 20)
    private String users;

    @ExcelColumn(title = "通知方式", width = 18)
    private String informManner;

    public static LocationAlarmRuleExcel transform(LocationAlarmRuleVo locationAlarmRuleVo) {
        StringBuilder users = new StringBuilder();
        StringBuilder informManner = new StringBuilder();
        for (int i = 0; i < locationAlarmRuleVo.getUsers().size(); i++) {
            if (i != 0) {
                users.append(", ");
            }
            users.append(locationAlarmRuleVo.getUsers().get(i).getRealName());
        }
        for (int i = 0; i < locationAlarmRuleVo.getInformManner().size(); i++) {
            if (i != 0) {
                informManner.append(", ");
            }
            informManner.append(locationAlarmRuleVo.getInformManner().get(i).getName());
        }
        return LocationAlarmRuleExcel
            .builder()
            .mapName(locationAlarmRuleVo.getMapName())
            .fenceName(locationAlarmRuleVo.getFenceName())
            .users(users.toString())
            .informManner(informManner.toString())
            .build();
    }
}
