/* (C) 2022 YiRing, Inc. */
package com.yiring.app.excel.location.beacon;

import com.github.liaochong.myexcel.core.annotation.ExcelColumn;
import com.github.liaochong.myexcel.core.annotation.ExcelModel;
import com.yiring.app.domain.location.LocationBeacon;
import java.io.Serial;
import java.io.Serializable;
import lombok.AccessLevel;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.FieldDefaults;

/**
 * 部门信息控制器
 *
 * @author LJ-2204
 * @date 2022/4/29
 */

@ExcelModel
@Data
@Builder
@FieldDefaults(level = AccessLevel.PRIVATE)
public class LocationBeaconExportExcel implements Serializable {

    @Serial
    private static final long serialVersionUID = -8548586352563859939L;

    @ExcelColumn(title = "编号")
    String code;

    public static LocationBeaconExportExcel transform(LocationBeacon locationBeacon) {
        return LocationBeaconExportExcel.builder().code(locationBeacon.getCode()).build();
    }
}
