/* (C) 2022 YiRing, Inc. */
package com.yiring.app.excel.video;

import com.github.liaochong.myexcel.core.annotation.ExcelColumn;
import com.github.liaochong.myexcel.core.annotation.ExcelModel;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * 2022/4/20 16:21
 */
@ExcelModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@FieldDefaults(level = AccessLevel.PRIVATE)
public class VideoImportExcel implements Serializable {

    @Serial
    private static final long serialVersionUID = 5422685189135254189L;

    @ExcelColumn(title = "编号")
    String uuid;

    @ExcelColumn(title = "摄像头名称")
    String videoName;

    @ExcelColumn(title = "m3u8 地址")
    String m3u8;

    @ExcelColumn(title = "备注")
    String remark;

    @ExcelColumn(title = "经度")
    double lon;

    @ExcelColumn(title = "纬度")
    double lat;
    //    String status;
}
