/* (C) 2022 YiRing, Inc. */
package com.yiring.app.excel.visitor;

import com.github.liaochong.myexcel.core.annotation.ExcelColumn;
import com.github.liaochong.myexcel.core.annotation.ExcelModel;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * 2022/4/20 10:35
 */
@ExcelModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@FieldDefaults(level = AccessLevel.PRIVATE)
public class CarExportExcel implements Serializable {

    @Serial
    private static final long serialVersionUID = -4019303809667111441L;

    @ExcelColumn(title = "车牌")
    String carNum;

    @ExcelColumn(title = "车辆类型")
    String carType;

    @ExcelColumn(title = "司机")
    String driverName;

    @ExcelColumn(title = "联系电话")
    String driverMobile;

    @ExcelColumn(title = "所属单位")
    String orgId;

    @ExcelColumn(title = "来访原因", width = 15)
    String reason;

    @ExcelColumn(title = "被访人")
    String intervieweeId;

    @ExcelColumn(title = "到访时间", format = "yyyy-MM-dd HH:mm:ss", width = 15)
    LocalDateTime cardSendTime;

    @ExcelColumn(title = "标签卡")
    String labelCard;

    @ExcelColumn(title = "收卡时间", format = "yyyy-MM-dd HH:mm:ss", width = 15)
    LocalDateTime cardRecTime;
}
