/* (C) 2022 YiRing, Inc. */
package com.yiring.app.excel.visitor;

import com.github.liaochong.myexcel.core.annotation.ExcelColumn;
import com.github.liaochong.myexcel.core.annotation.ExcelModel;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * @version 1.0
 * @description: TODO
 * @date 2022/4/25 11:53
 */
@ExcelModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@FieldDefaults(level = AccessLevel.PRIVATE)
public class InvitationExportExcel implements Serializable {

    @Serial
    private static final long serialVersionUID = -8861639917182472169L;

    @ExcelColumn(title = "邀请原因")
    String reason;

    @ExcelColumn(title = "邀请方式", mapping = "1:个人,2:公司")
    String InvitationMethod;

    @ExcelColumn(title = "邀请人数")
    Integer numOfVisitor;

    @ExcelColumn(title = "所属单位")
    String orgId;

    @ExcelColumn(title = "到访人姓名")
    String visitorName;

    @ExcelColumn(title = "到访人电话")
    String visitorMobile;

    @ExcelColumn(title = "是否特殊任务", mapping = "false:否,true:是")
    String taskType;

    //    Long inviterId;
    @ExcelColumn(title = "邀请人姓名")
    String inviterName;

    @ExcelColumn(title = "邀请人部门")
    String inviterDept;

    @ExcelColumn(title = "预约到访时间", format = "yyyy-MM-dd HH:mm:ss", width = 15)
    LocalDateTime appOfVisitTime;

    @ExcelColumn(title = "状态")
    String status;
}
