/* (C) 2022 YiRing, Inc. */
package com.yiring.app.excel.visitor;

import com.github.liaochong.myexcel.core.annotation.ExcelColumn;
import com.github.liaochong.myexcel.core.annotation.ExcelModel;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * 2022/4/21 9:37
 */
@ExcelModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@FieldDefaults(level = AccessLevel.PRIVATE)
public class VisitorExportExcel implements Serializable {

    @Serial
    private static final long serialVersionUID = -5732379257900745806L;

    @ExcelColumn(title = "到访人姓名")
    String visitorName;

    @ExcelColumn(title = "到访人姓名")
    String visitorMobile;

    @ExcelColumn(title = "到访人身份证")
    String visitorCarNum;

    @ExcelColumn(title = "是否特殊作业")
    boolean taskType;

    @ExcelColumn(title = "邀请人数")
    Integer numOfVisitor;

    @ExcelColumn(title = "访客来源")
    String visitorSource;

    @ExcelColumn(title = "标签卡")
    String labelCard;

    @ExcelColumn(title = "标签卡状态", mapping = "1:未发卡,2:使用中,3:已收卡")
    String labelCardStatus;

    @ExcelColumn(title = "所属单位")
    String orgId;

    @ExcelColumn(title = "被访人")
    String intervieweeId;

    @ExcelColumn(title = "来访原因")
    String reason;

    @ExcelColumn(title = "收卡时间")
    LocalDateTime cardRecTime;

    @ExcelColumn(title = "预约到访时间")
    LocalDateTime appOfVisitTime;

    @ExcelColumn(title = "发卡时间")
    LocalDateTime cardSendTime;
}
