/* (C) 2022 YiRing, Inc. */
package com.yiring.app.feign;

import com.alibaba.fastjson.JSONObject;
import com.yiring.app.param.video.StreamProxyItem;
import feign.Response;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * @author tzl
 * 2022/4/18 14:22
 */
@FeignClient(url = "${env.host}:3008", name = "gb")
public interface GbClient {
    /**
     * 国标登录接口
     * @param username 用户名
     * @param password 密码
     * @return Response
     */
    @RequestMapping(value = "/api/user/login", method = RequestMethod.GET)
    Response userLogin(
        @RequestParam(name = "username") String username,
        @RequestParam(name = "password") String password
    );

    /**
     * 拉流数据同步接口
     * @param streamProxyItem 拉流对象
     * @param cookie cookie
     * @return 是否成功
     */
    @RequestMapping(value = "/api/proxy/save", method = RequestMethod.POST)
    JSONObject proxySave(@RequestBody StreamProxyItem streamProxyItem, @RequestHeader("Cookie") String cookie);

    /**
     * 拉流删除接口
     * @param app 流应用名
     * @param stream 流编号
     * @param cookie cookie
     * @return 是否成功
     */
    @RequestMapping(value = "/api/proxy/del", method = RequestMethod.DELETE)
    JSONObject proxyDel(
        @RequestParam(name = "app") String app,
        @RequestParam(name = "stream") String stream,
        @RequestHeader("Cookie") String cookie
    );
}
