/* (C) 2022 YiRing, Inc. */
package com.yiring.app.feign;

import com.alibaba.fastjson.JSONObject;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

@FeignClient(url = "http://project.yz-online.com:789", name = "mapClient")
public interface MapClient {
    /**
     * 地图层数据
     * @author tzl
     * @date 2022/4/25 10:51
     * @param orgId 单位id
     * @param token 认证参数
     * @return com.alibaba.fastjson.JSONObject
     */
    @RequestMapping(value = "/positionApi/api/area/allList/{orgId}", method = RequestMethod.GET)
    JSONObject selectMap(@PathVariable("orgId") String orgId, @RequestHeader("Authorization") String token);
}
