/* (C) 2022 YiRing, Inc. */
package com.yiring.app.feign;

import com.alibaba.fastjson.JSONObject;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(url = "api.weixin.qq.com", name = "wxclient")
public interface WxClient {
    /**
     * 获取微信用户唯一标识
     *
     * @param appid String
     * @param secret String
     * @param js_code String
     * @param grant_type String
     * @return com.alibaba.fastjson.JSONObject
     * @author tzl
     * @date 15:20
     */
    @RequestMapping(value = "/sns/jscode2session", method = RequestMethod.GET)
    JSONObject getOpenid(
        @RequestParam("appid") String appid,
        @RequestParam("secret") String secret,
        @RequestParam("js_code") String js_code,
        @RequestParam("grant_type") String grant_type
    );
}
