/* (C) 2022 YiRing, Inc. */
package com.yiring.app.feign.zy.dept;

import cn.hutool.json.JSONObject;
import com.yiring.app.param.zy.dept.ZyDepartmentFindParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.*;

/**
 * zy部门接口
 *
 * @author LJ-2204
 * @date 2022/5/5
 */

@FeignClient(url = "${zy-config.proxy.api}", name = "DepartmentClient")
public interface DepartmentClient {
    @PostMapping(value = "/position/system/dept", headers = { "Content-Type=application/json;charset=UTF-8" })
    JSONObject deptAdd(@RequestBody String json, @RequestHeader("Authorization") String token);

    @GetMapping(value = "/position/system/dept/list")
    JSONObject deptList(
        @SpringQueryMap ZyDepartmentFindParam zyDepartmentFindParam,
        @RequestHeader("Authorization") String token
    );

    @DeleteMapping(value = "/position/system/dept/{id}")
    JSONObject deptDelete(@PathVariable("id") Long id, @RequestHeader("Authorization") String token);

    @PutMapping(value = "/position/system/dept", headers = { "Content-Type=application/json;charset=UTF-8" })
    JSONObject deptModify(@RequestBody String json, @RequestHeader("Authorization") String token);
}
