/* (C) 2022 YiRing, Inc. */
package com.yiring.app.feign.zy.location.tag;

import cn.hutool.json.JSONObject;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

/**
 * 定位标签
 *
 * @author LJ-2204
 * @date 2022/4/28
 */

@FeignClient(url = "${zy-config.proxy.api}", name = "locationTagClient")
public interface LocationTagClient {
    @PostMapping(value = "/position/config/tag/page", headers = { "Content-Type=application/json;charset=UTF-8" })
    JSONObject tagPage(@RequestBody String json, @RequestHeader("Authorization") String token);

    @PostMapping(value = "/position/config/tag/save", headers = { "Content-Type=application/json;charset=UTF-8" })
    JSONObject tagSave(@RequestBody String json, @RequestHeader("Authorization") String token);

    @RequestMapping(value = "/position/config/tag/delete/{ids}", method = RequestMethod.POST)
    JSONObject tagDelete(
        @PathVariable("ids") String ids,
        @RequestBody String json,
        @RequestHeader("Authorization") String token
    );

    @RequestMapping(value = "/position/config/tag/import", method = RequestMethod.POST)
    JSONObject tagImport(
        @RequestParam("file") MultipartFile file,
        @RequestBody String json,
        @RequestHeader("Authorization") String token
    );
}
