/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.alarm;

import com.yiring.app.constant.alarm.FenceTypeEnum;
import com.yiring.app.constant.alarm.RelevanceParamEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Range;

/**
 * @author tml
 * @version 1.0
 * @date 2022/4/27 14:28
 */
@ApiModel("AlarmConditionParam(报警类型的条件param)")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class AlarmConditionParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 7543624294916003641L;

    @ApiModelProperty(value = "围栏类别", example = "1")
    @Range(min = FenceTypeEnum.MIN, max = FenceTypeEnum.MAX, message = "请选择正确的围栏类别")
    private Integer fenceType;

    @ApiModelProperty(value = "关联参数", example = "1")
    @Range(min = RelevanceParamEnum.MIN, max = RelevanceParamEnum.MAX, message = "请选择正确的关联参数")
    private Integer relevanceParam;
}
