/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.analysis.history;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import javax.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/6 10:53
 */
@ApiModel("HistoryRoute(历史轨迹的条件param)")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class HistoryRouteConditionParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 2386493816691457426L;

    @ApiModelProperty(value = "地图id", example = "1", required = true)
    @NotNull(message = "请选择地图")
    private Long mapId;

    @ApiModelProperty(value = "用户id", example = "1", required = true)
    @NotNull(message = "请选择员工")
    private Long userId;

    @ApiModelProperty(value = "开始时间", example = "2022-05-06 14:00:00", required = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @NotNull(message = "请选择开始时间")
    private LocalDateTime beginTime;

    @ApiModelProperty(value = "结束时间", example = "2022-05-06 14:05:00", required = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @NotNull(message = "请选择结束时间")
    private LocalDateTime endTime;
}
