/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.appUser;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotEmpty;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/4/28 13:40
 */
@ApiModel("AppletUserParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class AppletUserParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 1684195733142347657L;

    @ApiModelProperty(value = "手机号", example = "17674741309", required = true)
    @NotEmpty(message = "手机号不能为空")
    String mobile;

    @ApiModelProperty(value = "微信唯一标识", example = "17674741309", required = true)
    @NotEmpty(message = "微信唯一标识不能为空")
    String openid;
}
