/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.appUser;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/4/28 13:52
 */
@ApiModel("AppletUserQueryParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class AppletUserQueryParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 1806727740548075365L;

    @ApiModelProperty(value = "小程序 appId", example = "1", required = true)
    String appid;

    @ApiModelProperty(value = "小程序 appSecret", example = "1", required = true)
    String secret;

    @ApiModelProperty(value = "登录时获取的 code", example = "1", required = true)
    String js_code;

    @ApiModelProperty(value = "授权类型，此处只需填写 authorization_code", example = "1", required = true)
    String grant_type;
}
