/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.broadcast;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 播报设备入参
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/5 17:14
 */
@ApiModel("BroadcastParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class BroadcastParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -2629601722942495674L;

    @ApiModelProperty(value = "编号", example = "1", required = true)
    @NotNull(message = "编号")
    String broadcastNum;

    @ApiModelProperty(value = "经度", example = "1.00", required = true)
    @NotNull(message = "经度")
    Double lon;

    @ApiModelProperty(value = "纬度", example = "1.00", required = true)
    @NotNull(message = "纬度")
    Double lat;

    @ApiModelProperty(value = "备注", example = "厂区喇叭")
    @Size(max = 100, message = "备注不能超过100字")
    String remark;

    @ApiModelProperty(value = "播报设备地址", example = "音柱地址", required = true)
    @NotEmpty(message = "播报设备地址不能为空")
    String broadcastAdd;

    @ApiModelProperty(value = "播报设备地址名称", example = "喇叭1", required = true)
    @NotEmpty(message = "播报设备地址名称不能为空")
    String broadcastName;
}
