/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.broadcast;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/5 17:22
 */
@ApiModel("BroadcastQueryParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class BroadcastQueryParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -7181714985511069309L;

    @ApiModelProperty(value = "编号", example = "1")
    String broadcastNum;

    @ApiModelProperty(value = "播报设备地址名称", example = "喇叭1")
    String broadcastName;

    @ApiModelProperty(value = "状态", example = "1")
    String status;

    @ApiModelProperty(value = "分页条数", example = "10", required = true)
    Integer pageSize;

    @ApiModelProperty(value = "当前页数", example = "1", required = true)
    Integer pageNo;
}
