/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.dept;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 部门导入
 *
 * @author LJ-2204
 * @date 2022/4/27
 */

@ApiModel("DepartmentExportParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class DepartmentExportParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 6314061369190511168L;

    @ApiModelProperty(value = "部门状态", example = "启用/禁用")
    Boolean enable;
}
