/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.dept;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 部门信息入参
 *
 * @author LJ-2204
 * @date 2022/4/20
 */

@ApiModel("DepartmentFindParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class DepartmentFindParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 4878741822740170271L;

    @ApiModelProperty(value = "部门状态", example = "启用/禁用")
    Boolean enable;
}
