/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.dict;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotEmpty;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * 2022/4/13 15:51
 */
@ApiModel("DictParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class DictParam implements Serializable {

    private static final long serialVersionUID = -6297680882890239905L;

    @ApiModelProperty(value = "排序", example = "1", required = true)
    Integer dictSort;

    @ApiModelProperty(value = "字典标签", example = "男", required = true)
    @NotEmpty(message = "字典标签不能为空")
    String dictLabel;

    @ApiModelProperty(value = "字典值", example = "1", required = true)
    @NotEmpty(message = "字典值不能为空")
    String dictValue;

    @ApiModelProperty(value = "字典类型", example = "user_sex", required = true)
    @NotEmpty(message = "字典类型不能为空")
    String dictType;

    @ApiModelProperty(value = "是否启用", example = "1", required = true)
    @NotEmpty(message = "是否启用必填")
    String status;

    @ApiModelProperty(value = "备注", example = "性别")
    String remark;
}
