/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.dict;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * 2022/4/13 16:06
 */
@ApiModel("DictQueryParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class DictQueryParam implements Serializable {

    private static final long serialVersionUID = 558672306975530791L;

    @ApiModelProperty(value = "字典标签", example = "男")
    String dictLabel;

    @ApiModelProperty(value = "字典类型", example = "user_sex")
    String dictType;
}
