/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.dict;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotEmpty;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * 2022/4/13 15:51
 */
@ApiModel("DictParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class DictTypeParam implements Serializable {

    private static final long serialVersionUID = -4725073029525910806L;

    @ApiModelProperty(value = "字典名称", example = "性别", required = true)
    @NotEmpty(message = "字典名称不能为空")
    String dictName;

    @ApiModelProperty(value = "字典类型", example = "user_sex", required = true)
    @NotEmpty(message = "字典类型不能为空")
    String dictType;

    @ApiModelProperty(value = "是否启用", example = "1", required = true)
    @NotEmpty(message = "是否启用必填")
    String status;
}
