/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.icon;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotEmpty;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/5 9:30
 */
@ApiModel("IconParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class IconParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 666028441935810972L;

    @ApiModelProperty(value = "图标名称", example = "访客头像", required = true)
    @NotEmpty(message = "图标名称不能为空")
    String iconName;

    @ApiModelProperty(value = "图标类型", example = "1", required = true)
    @NotEmpty(message = "图标类型不能为空")
    String iconType;

    @ApiModelProperty(value = "图标分类", example = "1", required = true)
    @NotEmpty(message = "图标类型不能为空")
    String iconSort;

    @ApiModelProperty(value = "在线图标地址", required = true)
    String iconOnline;

    @ApiModelProperty(value = "离线图标地址", required = true)
    String iconOffline;
}
