/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.key;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 按键报警规则分页
 *
 * @author LJ-2204
 * @date 2022/5/7
 */

@ApiModel("KeyAlarmRulesPageParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class KeyAlarmRulesPageParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 2876239519436815639L;

    @ApiModelProperty(value = "部门ids", example = "100,101,102")
    String deptIds;

    @ApiModelProperty(value = "通知方式", example = "APP/SMS")
    String types;
}
