/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.location.rule;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.util.Set;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/5 15:17
 */
@ApiModel("电子围栏报警规则的条件参数")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LocationAlarmRuleParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 6107090049902663508L;

    @ApiModelProperty(value = "地图id", example = "1")
    private Long mapId;

    @ApiModelProperty(value = "围栏id", example = "1")
    private Long fenceId;

    @ApiModelProperty(value = "通知方式", example = "1")
    private Set<Integer> informManner;
}
