/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.location.rule;

import com.yiring.app.domain.location.LocationFenceRule;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotNull;
import lombok.*;

/**
 * @author tml
 * @version 1.0
 * @date 2022/4/28 16:16
 */
@EqualsAndHashCode(callSuper = true)
@ApiModel("修改配置报警类别的报警规则,根据不同类型传入不同参数")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class LocationFenceRuleModifyParam extends LocationFenceRuleAddParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -7774789748161552583L;

    @ApiModelProperty(value = "规则id", example = "1", required = true)
    @NotNull(message = "规则id不能为空")
    private Long id;

    @Override
    public LocationFenceRule transform() {
        LocationFenceRule transform = super.transform();
        transform.setId(id);
        return transform;
    }
}
