/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.location.rule;

import com.yiring.common.constant.RegEx;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.util.Set;
import javax.validation.constraints.Pattern;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/4/28 16:24
 */
@ApiModel("报警类型中的允许进入人员或不允许离开人员")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TimeAndUserParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -7037620599825901175L;

    @ApiModelProperty(value = "起始时间", example = "星期一 08:00:00")
    @Pattern(regexp = RegEx.TIME_RULE, message = "时间格式不正确")
    private String beginTime;

    @ApiModelProperty(value = "终止时间", example = "星期一 18:00:00")
    @Pattern(regexp = RegEx.TIME_RULE, message = "时间格式不正确")
    private String endTime;

    private Set<RelevanceUserParam> user;
}
