/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.location.tag;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotNull;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 定位标签销毁入参
 * @author LJ-2204
 * @date 2022/4/14
 */

@ApiModel("LocationTagDeleteParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class LocationTagDeleteParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 2404060244461070885L;

    @ApiModelProperty(value = "ids", example = "145235231,145235232", required = true)
    @NotNull(message = "ids 不能为空")
    Long[] ids;
}
