/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.location.tag;

import com.yiring.app.domain.location.LocationTag;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 部门信息控制器
 *
 * @author LJ-2204
 * @date 2022/4/27
 */

@ApiModel("LocationTagExportParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class LocationTagExportParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -344458727454884014L;

    @ApiModelProperty(value = "编号", example = "BTT88888888")
    String code;

    @ApiModelProperty(value = "标签类型", example = "蓝牙人员定位卡")
    LocationTag.Type type;

    @ApiModelProperty(value = "状态", example = "true")
    Boolean silent;
}
