/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.location.tag;

import cn.hutool.core.date.LocalDateTimeUtil;
import com.yiring.app.domain.location.LocationTag;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 定位标签修改入参
 * @author LJ-2204
 * @date 2022/4/14
 */

@ApiModel("LocationTagModifyParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class LocationTagModifyParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 7711908393372149723L;

    @ApiModelProperty(value = "id", example = "7777777", required = true)
    Long id;

    @ApiModelProperty(value = "编号", example = "BTT88888888", required = true)
    String code;

    @ApiModelProperty(value = "标签类型", example = "蓝牙人员定位卡", required = true)
    LocationTag.Type type;

    @ApiModelProperty(value = "imei 设备编码标识", example = "88888888")
    String imei;

    public static void transform(LocationTagModifyParam locationTagModifyParam, LocationTag locationTag) {
        locationTag.setCode(locationTagModifyParam.getCode());
        locationTag.setType(locationTagModifyParam.getType());
        locationTag.setImei(locationTagModifyParam.getImei());
        locationTag.setUpdateTime(LocalDateTimeUtil.now());
    }
}
