/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.location.tag;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 标签分配
 *
 * @author LJ-2204
 * @date 2022/4/27
 */

@ApiModel("LocationTagTypeFindParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class LocationTagTypeFindParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -647961131755069990L;

    @ApiModelProperty(value = "编号", example = "BTT8888888")
    String code;

    @ApiModelProperty(value = "类别", example = "1内部/2访客")
    Integer category;
}
