/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.location.tag;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotNull;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 部门信息控制器
 *
 * @author LJ-2204
 * @date 2022/4/28
 */

@ApiModel("LocationTagTypeSendParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class LocationTagTypeSendParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 4964886106668963909L;

    @ApiModelProperty(value = "主键", example = "111,222")
    @NotNull(message = "主键不能为空")
    String ids;

    @ApiModelProperty(value = "类别", example = "1内部/2访客")
    Integer category;
}
