/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.post;

import com.yiring.auth.domain.post.Post;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotNull;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 职位新增
 *
 * @author LJ-2204
 * @date 2022/4/27
 */

@ApiModel("PostAddParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class PostAddParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -7451952048517810923L;

    @ApiModelProperty(value = "名称", example = "Java", required = true)
    @NotNull(message = "名称不能为空")
    String name;

    @ApiModelProperty(value = "描述", example = "描述")
    String describe;

    @ApiModelProperty(value = "是否启用", example = "true")
    Boolean enable;

    public static Post transform(PostAddParam param) {
        return Post.builder().name(param.getName()).describe(param.getDescribe()).enable(param.getEnable()).build();
    }
}
