/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.post;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 职位条件入参
 * @author LJ-2204
 * @date 2022/4/13
 */

@ApiModel("PostFindParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class PostFindParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 1926710333813935577L;

    @ApiModelProperty(value = "名称", example = "Java")
    String name;

    @ApiModelProperty(value = "是否启用", example = "true")
    Boolean enable;
}
