/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.post;

import com.yiring.auth.domain.post.Post;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotNull;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 职位信息入参类
 * @author LJ-2204
 * @date 2022/4/12
 */

@ApiModel("PostParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class PostParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 5247408856592333466L;

    @ApiModelProperty(value = "名称", example = "Java", required = true)
    @NotNull(message = "名称不能为空")
    String name;

    @ApiModelProperty(value = "描述", example = "描述")
    String describe;

    @ApiModelProperty(value = "是否启用", example = "true")
    Boolean enable;

    public static Post transform(PostParam postParam) {
        return Post.builder().name(postParam.name).describe(postParam.describe).enable(postParam.enable).build();
    }
}
