/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 *
 *
 * @author LJ-2204
 * @date 2022/4/22
 */

@ApiModel("UserByNameParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class UserBingTagParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -3659387184911379861L;

    @ApiModelProperty(value = "用户id", example = "8888888")
    Long id;

    @ApiModelProperty(value = "标签编号", example = "BTT88888888")
    String code;
}
