/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 用户表格查询
 * @author LJ-2204
 * @date 2022/4/20
 */

@ApiModel("UserFindParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class UserFindParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -8021455509303095719L;

    @ApiModelProperty(value = "真实姓名", example = "张三")
    String realName;

    @ApiModelProperty(value = "工号", example = "3306")
    String uuid;

    @ApiModelProperty(value = "标签卡", example = "BTT33333333")
    String code;

    @ApiModelProperty(value = "电话", example = "19999999999")
    String mobile;

    @ApiModelProperty(value = "部门编号", example = "0")
    Long deptId;
}
