/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.video;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 监控视频入参类
 *
 * @author tzl
 * 2022/4/8 16:07
 */
@ApiModel("VideoQueryParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class VideoQueryParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -330684070308585411L;

    @ApiModelProperty(value = "编号", example = "88888888")
    String uuid;

    @ApiModelProperty(value = "摄像头名称", example = "摄像头1")
    String videoName;

    @ApiModelProperty(value = "状态", example = "1")
    String status;

    @ApiModelProperty(value = "分页条数", example = "10")
    Integer pageSize;

    @ApiModelProperty(value = "当前页数", example = "1")
    Integer pageNo;
    //    @ApiModelProperty(value = "m3u8 地址", example = "")
    //    @NotEmpty(message = "m3u8 地址不能为空")
    //    String m3u8;

    //    Point point;

    //    @ApiModelProperty(value = "分类", example = "")
    //    String type;

    //    @ApiModelProperty(value = "是否在线", example = "")
    //    Boolean online;

    //    @ApiModelProperty(value = "是否启用", example = "")
    //    Boolean enable;
}
