/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.visitor;

import com.yiring.common.constant.RegEx;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Pattern;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * 2022/4/11 14:00
 */
@ApiModel("CarParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class CarParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 521351582969232371L;

    @ApiModelProperty(value = "车牌号码", example = "湘A99999", required = true)
    @NotEmpty(message = "车牌号码不能为空")
    @Pattern(regexp = RegEx.CARNUM, message = "车牌号码格式不正确")
    String carNum;

    @ApiModelProperty(value = "车辆类型", example = "1")
    String carType;

    @ApiModelProperty(value = "车辆类型", example = "1")
    String labelCard;
    //    @ApiModelProperty(value = "对应访客id", example = "1", required = true)
    //    Long visitorId;
}
