/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.visitor;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotEmpty;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * @version 1.0
 * @description: TODO
 * @date 2022/4/28 11:12
 */
@ApiModel("InvitationAppQueryParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class InvitationAppQueryParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 5194434249966317387L;

    @ApiModelProperty(value = "到访人电话", example = "17688888888", required = true)
    @NotEmpty(message = "到访人电话不能为空")
    String visitorMobile;

    @ApiModelProperty(value = "分页条数", example = "10")
    Integer pageSize;

    @ApiModelProperty(value = "当前页数", example = "1")
    Integer pageNo;
}
