/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.visitor;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * @version 1.0
 * @description: TODO
 * @date 2022/4/25 9:36
 */
@ApiModel("InvitationQueryParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class InvitationQueryParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -8217270866091799814L;

    @ApiModelProperty(value = "到访人姓名", example = "张三")
    String visitorName;

    @ApiModelProperty(value = "到访人电话", example = "17688888888")
    String visitorMobile;

    @ApiModelProperty(value = "访客公司", example = "壹润科技")
    String orgId;

    @ApiModelProperty(value = "是否特殊作业", example = "fasle")
    String taskType;

    @ApiModelProperty(value = "邀请人", example = "张三")
    String realName;

    @ApiModelProperty(value = "邀请人部门", example = "研发")
    String deptName;

    @ApiModelProperty(value = "预约到访时间(开始)", example = "2022-04-19 14:28:00")
    LocalDateTime appOfVisitTimeStart;

    @ApiModelProperty(value = "预约到访时间(结束)", example = "2022-04-19 14:28:00")
    LocalDateTime appOfVisitTimeEnd;

    @ApiModelProperty(value = "分页条数", example = "10")
    Integer pageSize;

    @ApiModelProperty(value = "当前页数", example = "1")
    Integer pageNo;
}
