/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.visitor;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * 2022/4/19 14:15
 */
@ApiModel("VisitorQueryParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class VisitorQueryParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -4314254785949101573L;

    @ApiModelProperty(value = "访客姓名", example = "张三")
    String visitorName;

    @ApiModelProperty(value = "访客电话", example = "17688888888")
    String visitorMobile;

    @ApiModelProperty(value = "访客身份证", example = "430441190001255417")
    String visitorCarNum;

    @ApiModelProperty(value = "是否特殊作业", example = "fasle")
    String taskType;

    @ApiModelProperty(value = "所属公司", example = "壹润科技")
    String orgId;

    @ApiModelProperty(value = "访客来源", example = "外部邀请")
    String visitorSource;

    @ApiModelProperty(value = "被访人id", example = "1")
    String intervieweeId;

    @ApiModelProperty(value = "标签卡", example = "DS41234231")
    String labelCard;

    @ApiModelProperty(value = "是否主访人", example = "1:是,2否")
    String isMain;

    @ApiModelProperty(value = "预约到访时间(开始)", example = "2022-04-19 14:28:00")
    LocalDateTime appOfVisitTimeStart;

    @ApiModelProperty(value = "预约到访时间(结束)", example = "2022-04-19 14:28:00")
    LocalDateTime appOfVisitTimeEnd;

    @ApiModelProperty(value = "实际到访时间(开始)", example = "2022-04-19 14:28:00")
    LocalDateTime cardSendTimeStart;

    @ApiModelProperty(value = "实际到访时间(结束)", example = "2022-04-19 14:28:00")
    LocalDateTime cardSendTimeEnd;

    @ApiModelProperty(value = "收卡时间(开始)", example = "2022-04-11 17:25:33")
    LocalDateTime cardRecTimeStart;

    @ApiModelProperty(value = "收卡时间(结束)", example = "2022-04-11 17:26:33")
    LocalDateTime cardRecTimeEnd;

    @ApiModelProperty(value = "分页条数", example = "10")
    Integer pageSize;

    @ApiModelProperty(value = "当前页数", example = "1")
    Integer pageNo;
}
