/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.zy.dept;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * zy部门查询
 *
 * @author LJ-2204
 * @date 2022/5/5
 */

@ApiModel("ZyDepartmentFindParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class ZyDepartmentFindParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 1009265085945027885L;

    @ApiModelProperty(value = "部门名称", example = "研发部")
    String deptName;

    @ApiModelProperty(value = "状态", example = "f/t")
    String status;

    String ancestors;

    @ApiModelProperty(value = "工厂", example = "100")
    String orgId;
}
