/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.zy.location.tag;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotNull;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 部门信息控制器
 *
 * @author LJ-2204
 * @date 2022/5/6
 */

@ApiModel("ZyLocationTagTypeSendParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class ZyLocationTagTypeSendParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 2083251032811952742L;

    @ApiModelProperty(value = "主键", example = "111,222")
    @NotNull(message = "主键不能为空")
    Long[] ids;

    @ApiModelProperty(value = "类别", example = "1:内部/2:访客")
    Integer category;

    @ApiModelProperty(value = "工厂ID", example = "100")
    Integer orgId;
}
