/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.zy.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 部门信息控制器
 *
 * @author LJ-2204
 * @date 2022/5/5
 */

@ApiModel("ZyUserFindParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class ZyUserFindParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 8190370314958519070L;

    @ApiModelProperty(value = "工号", example = "1100")
    String jobNum;

    @ApiModelProperty(value = "工厂ID", example = "100")
    Integer orgId;

    @ApiModelProperty(value = "起始页", example = "1")
    Integer pageNum;

    @ApiModelProperty(value = "显示数", example = "10")
    Integer pageSize;

    @ApiModelProperty(value = "类型", example = "100")
    Integer type;
}
