/* (C) 2022 YiRing, Inc. */
package com.yiring.app.rabbit.config;

import org.springframework.amqp.core.Binding;
import org.springframework.amqp.core.BindingBuilder;
import org.springframework.amqp.core.Queue;
import org.springframework.amqp.core.TopicExchange;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 模拟真源 rabbitmq 消息队列配置
 *
 * @author ifzm
 * 2019/8/21 15:44
 */
@Configuration
public class MockZyRabbitConfig {

    /**
     * 消息交换机
     */
    public static final String ZY_TOPIC_EXCHANGE = "zy.topic.exchange";

    /**
     * 订阅模式
     *
     * @return TopicExchange
     */
    @Bean(ZY_TOPIC_EXCHANGE)
    TopicExchange exchange() {
        return new TopicExchange(ZY_TOPIC_EXCHANGE, true, false);
    }

    @Bean(ZyRabbitConfig.MESSAGE_QUEUES_NAME)
    public Queue mockMessageQueue() {
        return new Queue(ZyRabbitConfig.MESSAGE_QUEUES_NAME, true, false, false);
    }

    @Bean
    Binding bindingExchangeMock(
        @Qualifier(ZyRabbitConfig.MESSAGE_QUEUES_NAME) Queue queue,
        @Qualifier(ZY_TOPIC_EXCHANGE) TopicExchange exchange
    ) {
        return BindingBuilder.bind(queue).to(exchange).with(ZyRabbitConfig.MESSAGE_QUEUES_NAME);
    }
}
