/* (C) 2022 YiRing, Inc. */
package com.yiring.app.rabbit.config;

import javax.annotation.Resource;
import lombok.AccessLevel;
import lombok.Data;
import lombok.experimental.FieldDefaults;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 真源配置想
 *
 * @author ifzm
 * @version 0.1
 * 2019/9/25 21:31
 */

@Data
@FieldDefaults(level = AccessLevel.PRIVATE)
@Component
@ConfigurationProperties(prefix = "zy-config")
public class ZyConfigProperties {

    String host;

    @Resource
    ZyConfigRabbitmq rabbitmq;

    @Resource
    ZyConfigOpen open;

    @Data
    @FieldDefaults(level = AccessLevel.PRIVATE)
    @Component
    @ConfigurationProperties(prefix = "zy-config.rabbitmq")
    public static class ZyConfigRabbitmq {

        boolean enabled;
        String host;
        int port;
        String username;
        String password;
        String virtualHost;
        String queueName;
    }

    @Data
    @FieldDefaults(level = AccessLevel.PRIVATE)
    @Component
    @ConfigurationProperties(prefix = "zy-config.open")
    public static class ZyConfigOpen {

        String api;
        String clientId;
        String grantType;
        String clientSecret;
        String tenant;
    }

    @Data
    @FieldDefaults(level = AccessLevel.PRIVATE)
    @Component
    @ConfigurationProperties(prefix = "zy-config.proxy")
    public static class ZyConfigProxy {

        String api;
        String tenant;

        @Resource(name = "ZyConfigProxyClient")
        ZyConfigProxyClient client;

        @Resource
        ZyConfigProxyManage manage;

        @Data
        @FieldDefaults(level = AccessLevel.PRIVATE)
        @Component("ZyConfigProxyClient")
        @ConfigurationProperties(prefix = "zy-config.proxy.client")
        public static class ZyConfigProxyClient {

            String username;
            String password;
        }

        @Data
        @FieldDefaults(level = AccessLevel.PRIVATE)
        @Component
        @ConfigurationProperties(prefix = "zy-config.proxy.manage")
        public static class ZyConfigProxyManage {

            String username;
            String password;
        }
    }
}
