/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.alarm;

import com.yiring.app.param.alarm.AlarmConditionParam;
import com.yiring.app.param.alarm.AlarmTypeAddParam;
import com.yiring.app.param.alarm.AlarmTypeModifyParam;
import com.yiring.app.vo.alarm.AlarmTypeVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.IdParam;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;
import javax.servlet.http.HttpServletResponse;

/**
 * @author tml
 * @version 1.0
 * @date 2022/4/27 14:34
 */
public interface AlarmService {
    /**
     * 添加报警类型
     * @param param 报警类型信息
     * @return 是否成功
     */
    Result<String> addAlarmType(AlarmTypeAddParam param);

    /**
     * 修改报警类型
     * @param param 报警类型信息
     * @return 是否成功
     */
    Result<String> modifyAlarmType(AlarmTypeModifyParam param);

    /**
     * 删除报警类型
     * @param param 报警类型id
     * @return 是否成功
     */
    Result<String> removeAlarmType(IdParam param);

    /**
     * 根据id查询报警类型
     * @param param 报警类型id
     * @return 报警类型
     */
    Result<AlarmTypeVo> findById(IdParam param);

    /**
     * 根据条件查询
     * @param conditionParam 条件
     * @param pageParam 分页参数
     * @return 报警类型列表
     */
    Result<PageVo<AlarmTypeVo>> findByCondition(AlarmConditionParam conditionParam, PageParam pageParam);

    /**
     * 报警类型导出
     * @param conditionParam 条件
     * @param response response
     */
    void exportAlarmType(AlarmConditionParam conditionParam, HttpServletResponse response, PageParam pageParam);
}
