/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.analysis.history;

import com.yiring.app.param.analysis.history.HistoryRouteConditionParam;
import com.yiring.app.vo.analysis.history.HistoryRouteVo;
import com.yiring.common.core.Result;
import com.yiring.common.vo.PageVo;
import javax.servlet.http.HttpServletResponse;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/6 14:39
 */
public interface HistoryRouteService {
    /**
     * 根据条件查询历史轨迹信息
     * @param param 地图、员工和时间条件
     * @return 历史轨迹信息
     */
    Result<PageVo<HistoryRouteVo>> findByCondition(HistoryRouteConditionParam param);

    /**
     * 导出历史轨迹信息
     * @param param 地图、员工和时间条件
     * @param response 历史轨迹信息
     */
    void exportHistoryRoute(HistoryRouteConditionParam param, HttpServletResponse response);
}
