/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.icon;

import com.yiring.app.param.icon.IconParam;
import com.yiring.app.vo.icon.IconVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.IdParam;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;

/**
 * @author tzl
 * @date 2022/5/5 9:28
 */
public interface IconService {
    /**
     * 图标新增接口
     * @author tzl
     * @date 2022/5/5 10:03
     * @param iconParam IconParam
     * @return com.yiring.common.core.Result<java.lang.String>
     */
    Result<String> saveIcon(IconParam iconParam);
    /**
     * 图标删除接口
     * @author tzl
     * @date 2022/5/5 10:23
     * @param idParam IdParam
     * @return com.yiring.common.core.Result<java.lang.String>
     */
    Result<String> deleteIcon(IdParam idParam);
    /**
     * 图标修改接口
     * @author tzl
     * @date 2022/5/5 10:26
     * @param iconParam IconParam
     * @param idParam IdParam
     * @return com.yiring.common.core.Result<java.lang.String>
     */
    Result<String> updateIcon(IconParam iconParam, IdParam idParam);
    /**
     * 分页查询
     * @author tzl
     * @date 2022/5/5 15:09
     * @param pageParam PageParam
     * @return com.yiring.common.core.Result<java.lang.String>
     */
    Result<PageVo<IconVo>> pageIcon(PageParam pageParam);
}
