/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.key;

import com.yiring.app.param.key.KeyAlarmRulesAddParam;
import com.yiring.app.param.key.KeyAlarmRulesExportParam;
import com.yiring.app.param.key.KeyAlarmRulesModifyParam;
import com.yiring.app.param.key.KeyAlarmRulesPageParam;
import com.yiring.app.vo.key.KeyAlarmRulesVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.IdParam;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;
import javax.servlet.http.HttpServletResponse;

/**
 * 按键报警规则
 *
 * @author LJ-2204
 * @date 2022/5/6
 */
public interface KeyAlarmRulesService {
    /**
     * 添加报警类型
     * @param keyAlarmRulesAddParam KeyAlarmRulesAddParam
     * @return Result<String>
     */
    Result<String> add(KeyAlarmRulesAddParam keyAlarmRulesAddParam);

    /**
     * 删除报警规则
     * @param idParam IdParam
     * @return Result<String>
     */
    Result<String> delete(IdParam idParam);

    /**
     * 修改报警规则
     * @param keyAlarmRulesModifyParam KeyAlarmRulesModifyParam
     * @return Result<String>
     */
    Result<String> modify(KeyAlarmRulesModifyParam keyAlarmRulesModifyParam);

    /**
     * 导出
     * @param keyAlarmRulesExportParam KeyAlarmRulesExportParam
     * @param response HttpServletResponse
     */
    void export(KeyAlarmRulesExportParam keyAlarmRulesExportParam, HttpServletResponse response);

    /**
     * 分页
     * @param keyAlarmRulesPageParam KeyAlarmRulesPageParam
     * @param pageParam PageParam
     * @return Result<PageVo<KeyAlarmRulesVo>>
     */
    Result<PageVo<KeyAlarmRulesVo>> page(KeyAlarmRulesPageParam keyAlarmRulesPageParam, PageParam pageParam);
}
