/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.location.beacon;

import com.yiring.app.param.location.beacon.LocationBeaconExportParam;
import com.yiring.app.param.location.beacon.LocationBeaconFindParam;
import com.yiring.app.vo.location.beacon.LocationBeaconVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;
import javax.servlet.http.HttpServletResponse;

/**
 * 定位信标
 *
 * @author LJ-2204
 * @date 2022/4/28
 */
public interface LocationBeaconService {
    /**
     * 数据同步
     */
    void saveLocationBeacon();

    /**
     * 表格查询
     * @param locationBeaconFindParam LocationBeaconFindParam
     * @param pageParam PageParam
     * @return Result<PageVo<LocationBeaconVo>>
     */
    Result<PageVo<LocationBeaconVo>> findLocationBeacon(
        LocationBeaconFindParam locationBeaconFindParam,
        PageParam pageParam
    );

    /**
     * 导出
     * @param locationBeaconExportParam locationBeaconExportParam
     * @param response HttpServletResponse
     */
    void exportLocationBeacon(LocationBeaconExportParam locationBeaconExportParam, HttpServletResponse response);
}
