/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.location.rule;

import com.yiring.app.param.location.rule.LocationFenceRuleAddParam;
import com.yiring.app.param.location.rule.LocationFenceRuleModifyParam;
import com.yiring.app.vo.location.rule.LocationFenceRuleVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.IdParam;

/**
 * @author tml
 * @version 1.0
 * @date 2022/4/29 11:27
 */
public interface LocationFenceRuleService {
    /**
     * 添加一条规则
     * @param param 规则信息
     * @return 是否成功
     */
    Result<String> addRule(LocationFenceRuleAddParam param);

    /**
     * 修改一条规则
     * @param param 规则信息
     * @return 是否成
     */
    Result<String> modifyRule(LocationFenceRuleModifyParam param);

    /**
     * 删除一条规则
     * @param idParam 规则id
     * @return 是否成功
     */
    Result<String> removeRule(IdParam idParam);

    /**
     * 根据id查询一条规则信息
     * @param idParam 规则id
     * @return 规则信息
     */
    Result<LocationFenceRuleVo> findRule(IdParam idParam);
}
