/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.location.tag;

import com.yiring.app.param.location.tag.LocationTagTypeFindParam;
import com.yiring.app.param.location.tag.LocationTagTypeSendParam;
import com.yiring.app.vo.location.tag.LocationTagTypeVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;

/**
 * 标签分配
 *
 * @author LJ-2204
 * @date 2022/4/27
 */
public interface LocationTagTypeService {
    /**
     * 分页查询
     * @param locationTagTypeFindParam LocationTagTypeFindParam
     * @param pageParam PageParam
     * @return Result<PageVo<LocationTagTypeVo>>
     */
    Result<PageVo<LocationTagTypeVo>> findLocationTagType(
        LocationTagTypeFindParam locationTagTypeFindParam,
        PageParam pageParam
    );

    /**
     * 批量分配内部/外部
     * @param locationtagtypeSendParam LocationTagTypeSendParam
     * @return Result<String>
     */
    Result<String> sendLocationTagType(LocationTagTypeSendParam locationtagtypeSendParam);
}
