/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.visitor;

import com.yiring.app.param.visitor.VisitorAppQueryParam;
import com.yiring.app.param.visitor.VisitorParam;
import com.yiring.app.param.visitor.VisitorQueryParam;
import com.yiring.app.vo.visitor.VisitorAppVo;
import com.yiring.app.vo.visitor.VisitorDetailsVo;
import com.yiring.app.vo.visitor.VisitorVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.IdParam;
import com.yiring.common.vo.PageVo;
import javax.servlet.http.HttpServletResponse;

/**
 * @author tzl
 * 2022/4/19 14:12
 */
public interface VisitorService {
    /**
     *  访客登记
     * @param visitorParam 新增访客入参
     * @return 是否成功
     */
    Result<String> saveVisitor(VisitorParam visitorParam);

    //    /**
    //     *  访客删除
    //     * @param idParam 主键id
    //     * @return 是否成功
    //     */
    //    Result<String> deleteVisitor(IdParam idParam);

    /**
     * 修改访客信息
     * @param visitorParam 修改访客入参
     * @param idParam 修改访客的主键id
     * @return 是否成功
     */
    Result<String> updateVisitor(VisitorParam visitorParam, IdParam idParam);

    /**
     * 查询访客详情
     * @param idParam 主键id
     * @return 访客信息
     */
    Result<VisitorDetailsVo> selectVisitor(IdParam idParam);

    /**
     * 分页查询
     * @param visitorQueryParam 访客查询参数
     * @return 访客分页信息
     */
    Result<PageVo<VisitorVo>> pageVisitor(VisitorQueryParam visitorQueryParam);

    /**
     * 导出访客信息
     * @param visitorQueryParam 访客筛选条件
     * @param response HttpServletResponse
     */
    void exportVisitor(VisitorQueryParam visitorQueryParam, HttpServletResponse response);

    /**
     * 发卡
     * @param labelCard 标签卡号
     * @param idParam 主键id
     * @return 是否成功
     */
    Result<String> cardSend(String labelCard, IdParam idParam);

    /**
     * 收卡
     * @param idParam 主键id
     * @return 是否成功
     */
    Result<String> cardRec(IdParam idParam);

    /**
     * 小程序查看来访记录
     * @author tzl
     * @date 2022/4/29 15:03
     * @param visitorAppQueryParam 入参
     * @return com.yiring.common.core.Result<com.yiring.app.vo.visitor.VisitorVo>
     */
    Result<PageVo<VisitorAppVo>> selectInfo(VisitorAppQueryParam visitorAppQueryParam);
}
