/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.broadcast;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;
import org.locationtech.jts.geom.Point;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/5 17:26
 */
@ApiModel("BroadcastVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class BroadcastVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 2927556677143859520L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "id", example = "1")
    Long id;

    @ApiModelProperty(value = "编号", example = "1")
    String broadcastNum;

    @ApiModelProperty(value = "坐标点信息")
    Point point;

    @ApiModelProperty(value = "备注", example = "厂区喇叭")
    String remark;

    @ApiModelProperty(value = "音柱地址", example = "音柱地址")
    String broadcastAdd;

    @ApiModelProperty(value = "播报设备名称", example = "喇叭1")
    String broadcastName;
}
