/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.district;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiring.app.domain.district.District;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 区域信息VO
 * @author tml
 * @version 1.0
 * @date 2022/4/27 9:10
 */
@ApiModel("DistrictVo(区域信息)")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DistrictVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -4330628723553785529L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "区域id", example = "1518841086628335616")
    private Long id;

    @ApiModelProperty(value = "区域名称", example = "生产区域")
    private String name;

    @ApiModelProperty(value = "风险等级(区域颜色)", example = "f##0000")
    private String riskGrade;

    public static DistrictVo transform(District district) {
        return DistrictVo
            .builder()
            .id(district.getId())
            .name(district.getName())
            .riskGrade(district.getRiskGrade())
            .build();
    }
}
