/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.location.fence;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiring.app.constant.alarm.FenceTypeEnum;
import com.yiring.app.domain.location.LocationFence;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/5 9:35
 */
@ApiModel("围栏信息检索VO")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class LocationFenceSearchVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 5774168899957993687L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "围栏名称")
    private String name;

    @ApiModelProperty(value = "围栏类别code")
    private Integer fenceType;

    @ApiModelProperty(value = "围栏类别名称")
    private String fenceTypeName;

    public static LocationFenceSearchVo transform(LocationFence locationFence) {
        return LocationFenceSearchVo
            .builder()
            .id(locationFence.getId())
            .name(locationFence.getName())
            .fenceType(locationFence.getFenceType())
            .fenceTypeName(FenceTypeEnum.getByCode(locationFence.getFenceType()))
            .build();
    }
}
