/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.location.rule;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/4/29 14:12
 */
@ApiModel("报警规则,根据不同类型传入不同参数")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RuleVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 441241201908785930L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "选择的播放语音id", example = "1")
    private Long voiceId;

    @ApiModelProperty(value = "选择的播放语音名称", example = "紧急语音")
    private String voiceName;

    @ApiModelProperty(value = "选择的播放设备id", example = "1")
    private Long playEquipmentId;

    @ApiModelProperty(value = "选择的播放设备名称", example = "语音设备1")
    private String playEquipmentName;

    @ApiModelProperty(value = "静止时长或滞留时间(分钟)", example = "10")
    private Integer duration;

    @ApiModelProperty(value = "触发报警的距离(米)", example = "10")
    private Integer distance;

    private List<TimeAndNumberVo> timeAndNumber;

    private List<TimeAndUserVo> timeAndUser;
}
