/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.location.rule;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/4/28 16:24
 */
@ApiModel("报警类型中的最多人数或最小人数")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TimeAndNumberVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -6796977663003158881L;

    @ApiModelProperty(value = "起始时间", example = "星期一 08:00:00")
    private String beginTime;

    @ApiModelProperty(value = "终止时间", example = "星期一 18:00:00")
    private String endTime;

    @ApiModelProperty(value = "人数", example = "100")
    private Integer number;
}
