/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.location.rule;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.util.Set;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @author tml
 * @version 1.0
 * @date 2022/4/28 16:24
 */
@ApiModel("报警类型中的允许进入人员或不允许离开人员")
@Data
@SuperBuilder(toBuilder = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TimeAndUserVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -7037620599825901175L;

    @ApiModelProperty(value = "起始时间", example = "星期一 08:00:00")
    private String beginTime;

    @ApiModelProperty(value = "终止时间", example = "星期一 18:00:00")
    private String endTime;

    private Set<RelevanceUserVo> user;
}
