/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.location.tag;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiring.app.domain.location.LocationTag;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 定位索引
 *
 * @author LJ-2204
 * @date 2022/4/27
 */

@ApiModel("LocationTagIndexVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class LocationTagIndexVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -1459205162627200071L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键", example = "188354391834")
    Long id;

    @ApiModelProperty(value = "编号", example = "BTT88888888")
    String code;

    @ApiModelProperty(value = "标签型号", example = "BTT01")
    LocationTag.Type type;

    @ApiModelProperty(value = "是否启用", example = "0/1")
    Boolean used;

    public static LocationTagIndexVo transform(LocationTag locationTag) {
        return LocationTagIndexVo
            .builder()
            .id(locationTag.getId())
            .code(locationTag.getCode())
            .type(locationTag.getType())
            .used(locationTag.getUsed())
            .build();
    }
}
