/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.map;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.util.List;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * @version 1.0
 * @description: 地图
 * @date 2022/4/27 10:37
 */
@ApiModel("MapVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class MapVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1058997208992044029L;

    @ApiModelProperty(value = "地图数据集合")
    List<MapVoReuslt> data;

    @ApiModel("MapVoReuslt")
    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @FieldDefaults(level = AccessLevel.PRIVATE)
    public static class MapVoReuslt implements Serializable {

        @Serial
        private static final long serialVersionUID = 4115779013003587949L;

        @JsonSerialize(using = ToStringSerializer.class)
        @ApiModelProperty(value = "id", example = "1")
        Integer id;

        @ApiModelProperty(value = "父id", example = "1")
        Integer parentId;

        @ApiModelProperty(value = "地图名称")
        String name;
    }
}
