/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.post;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiring.auth.domain.post.Post;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 职位索引视图
 *
 * @author LJ-2204
 * @date 2022/4/27
 */

@ApiModel("PostIndexVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class PostIndexVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 6787422359697016766L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键", example = "1")
    Long id;

    @ApiModelProperty(value = "名称", example = "Java")
    String name;

    public static PostIndexVo transform(Post post) {
        return PostIndexVo.builder().id(post.getId()).name(post.getName()).build();
    }
}
