/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.video;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;
import org.locationtech.jts.geom.Point;

/**
 * @author tzl
 * 2022/4/15 10:48
 */
@ApiModel("VideoVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class VideoVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 3968078657827350557L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "id", example = "1548548545755")
    Long id;

    @ApiModelProperty(value = "坐标点", example = "坐标点")
    Point point;

    @ApiModelProperty(value = "编号", example = "88888888")
    String uuid;

    @ApiModelProperty(value = "m3u8地址", example = "m3u8地址")
    String m3u8;

    @ApiModelProperty(value = "备注", example = "备注")
    String remark;

    @ApiModelProperty(value = "摄像头名称", example = "摄像头1")
    String videoName;

    @ApiModelProperty(value = "状态", example = "正常")
    String status;
}
