/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.visitor;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * 2022/4/11 14:52
 */
@ApiModel("CarVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class CarVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -1778680629828674385L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键id", example = "1458555485552")
    Long id;

    @ApiModelProperty(value = "车牌号码", example = "湘A99999")
    String carNum;

    @ApiModelProperty(value = "车辆类型", example = "1")
    String carType;

    /**
     * 车辆类型翻译
     */
    //    @ApiModelProperty(value = "车辆类型(字典翻译)", example = "货车")
    //    String carTypeName;

    //    public String getCarTypeName() {
    //        if (StrUtil.isNotBlank(carType)) {
    //            return DictUtils.getDictLabel("car_type", carType);
    //        }
    //        return null;
    //    }

    @ApiModelProperty(value = "标签卡", example = "DT8875666")
    String labelCard;
    //    /**
    //     * 车辆类型翻译
    //     */
    //    @ApiModelProperty(value = "标签卡状态", example = "未发卡")
    //    String labelCardStatusName;

    //    public String getLabelCardStatusName() {
    //        if (StrUtil.isNotBlank(carType)) {
    //            return DictUtils.getDictLabel("car_label_status", labelCardStatus);
    //        }
    //        return null;
    //    }

    //    @ApiModelProperty(value = "单位id", example = "湖南壹润科技")
    //    String orgId;
    //
    //    @ApiModelProperty(value = "被访人id", example = "1")
    //    String intervieweeId;
    //
    //    @ApiModelProperty(value = "来访原因", example = "装货")
    //    String reason;
    //
    //    @ApiModelProperty(value = "收卡时间", example = "2022-04-11 17:25:33")
    //    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    //    LocalDateTime cardRecTime;

    //    @ApiModelProperty(value = "创建时间", example = "2022-04-11 17:25:33")
    //    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    //    LocalDateTime createTime;
    //
    //    @ApiModelProperty(value = "发卡时间", example = "2022-04-11 17:25:33")
    //    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    //    LocalDateTime cardSendTime;
}
