/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.visitor;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiring.app.domain.visitor.Visitor;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 邀请反参
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/4/28 10:48
 */
@ApiModel("InvitationDetailsVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class InvitationDetailsVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 5496232471863298479L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "id", example = "1548548545755")
    Long id;

    @ApiModelProperty(value = "邀请原因/来访原因", example = "随便看看")
    String reason;

    @ApiModelProperty(value = "邀请方式:个人  公司", example = "个人")
    String InvitationMethod;

    @ApiModelProperty(value = "邀请人数", example = "1")
    Integer numOfVisitor;

    @ApiModelProperty(value = "邀请人id", example = "1")
    Long inviterId;

    @ApiModelProperty(value = "状态", example = "撤回")
    String status;

    @ApiModelProperty(value = "被邀请访客")
    Visitor visitor;

    @ApiModelProperty(value = "邀请人信息")
    User user;

    @ApiModel("User")
    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @FieldDefaults(level = AccessLevel.PRIVATE)
    public static class User implements Serializable {

        @Serial
        private static final long serialVersionUID = 4115779013003587949L;

        @JsonSerialize(using = ToStringSerializer.class)
        @ApiModelProperty(value = "id", example = "1")
        Long id;

        @ApiModelProperty(value = "邀请人姓名", example = "张三")
        String realName;

        @ApiModelProperty(value = "邀请人部门", example = "研发部")
        String deptName;

        @ApiModelProperty(value = "邀请人电话", example = "17688888888")
        String mobile;
    }
}
