/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.visitor;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * 2022/4/19 14:16
 */
@ApiModel("VisitorVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class VisitorAppVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 9004209982164273860L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "id", example = "1548548545755")
    Long id;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "发卡时间", example = "2022-04-19 14:28:00")
    LocalDateTime cardSendTime;

    UserVo userVo;

    @ApiModel("UserVo")
    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @FieldDefaults(level = AccessLevel.PRIVATE)
    public static class UserVo implements Serializable {

        @Serial
        private static final long serialVersionUID = 4115779013003587949L;

        @ApiModelProperty(value = "被访人姓名", example = "张三")
        String realName;

        @ApiModelProperty(value = "被访人姓名", example = "张三")
        String mobile;
    }
}
