/* (C) 2022 YiRing, Inc. */
package com.yiring.app.web.analysis.history;

import com.yiring.app.param.analysis.history.HistoryRouteConditionParam;
import com.yiring.app.service.analysis.history.HistoryRouteService;
import com.yiring.app.vo.analysis.history.HistoryRouteVo;
import com.yiring.common.core.Result;
import com.yiring.common.vo.PageVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import javax.validation.Valid;
import org.springframework.http.MediaType;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/6 10:36
 */
@Api(tags = "HistoryRoute(历史轨迹)")
@Validated
@RestController
@RequestMapping("/history/route")
public class HistoryRouteController {

    @Resource
    private HistoryRouteService historyRouteService;

    @ApiOperation("根据条件查询历史轨迹")
    @PostMapping("/findByCondition")
    public Result<PageVo<HistoryRouteVo>> findByCondition(@Valid HistoryRouteConditionParam param) {
        return historyRouteService.findByCondition(param);
    }

    @ApiOperation(value = "导出历史轨迹", produces = MediaType.APPLICATION_OCTET_STREAM_VALUE)
    @PostMapping("/exportHistoryRoute")
    public void exportHistoryRoute(@Valid HistoryRouteConditionParam param, HttpServletResponse response) {
        historyRouteService.exportHistoryRoute(param, response);
    }
}
