/* (C) 2022 YiRing, Inc. */
package com.yiring.app.web.appUser;

import com.yiring.app.param.appUser.AppletUserParam;
import com.yiring.app.param.appUser.AppletUserQueryParam;
import com.yiring.app.service.appletUser.AppletUserService;
import com.yiring.common.core.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import javax.annotation.Resource;
import javax.validation.Valid;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/4/28 13:48
 */
@Slf4j
@Validated
@Api(tags = "小程序用户")
@RestController
@RequestMapping("/appUser/")
public class AppletUserController {

    @Resource
    AppletUserService appletUserService;

    @ApiOperation("微信绑定手机号码")
    @PostMapping("saveAppUser")
    public Result<String> saveAppUser(@Valid AppletUserParam appletUserParam) {
        return appletUserService.saveAppUser(appletUserParam);
    }

    @ApiOperation("根据code获取微信用户唯一标识,返回其绑定的手机号码")
    @GetMapping("selectMobile")
    public Result<String> selectMobile(@Valid AppletUserQueryParam appletUserQueryParam) {
        return appletUserService.selectMobile(appletUserQueryParam);
    }
}
