/* (C) 2022 YiRing, Inc. */
package com.yiring.app.web.location.tag;

import com.yiring.app.param.location.tag.LocationTagTypeFindParam;
import com.yiring.app.param.location.tag.LocationTagTypeSendParam;
import com.yiring.app.service.location.tag.LocationTagTypeService;
import com.yiring.app.vo.location.tag.LocationTagTypeVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import javax.annotation.Resource;
import javax.validation.Valid;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 标签分配
 *
 * @author LJ-2204
 * @date 2022/4/27
 */

@Slf4j
@Validated
@Api(tags = "标签分配")
@RestController
@RequestMapping("/location/tag/type")
public class LocationTagTypeController {

    @Resource
    LocationTagTypeService locationTagTypeService;

    @ApiOperation("分页查询")
    @GetMapping("findLocationTagType")
    public Result<PageVo<LocationTagTypeVo>> findLocationTagType(
        @Valid LocationTagTypeFindParam locationTagTypeFindParam,
        @Valid PageParam pageParam
    ) {
        return locationTagTypeService.findLocationTagType(locationTagTypeFindParam, pageParam);
    }

    @ApiOperation("批量分配内部/外部")
    @PutMapping("sendLocationTagType")
    public Result<String> sendLocationTagType(@Valid LocationTagTypeSendParam locationtagtypeSendParam) {
        return locationTagTypeService.sendLocationTagType(locationtagtypeSendParam);
    }
}
