/* (C) 2022 YiRing, Inc. */
package com.yiring.auth.domain.post;

import com.yiring.common.domain.BasicEntity;
import java.io.Serial;
import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.Table;
import lombok.*;
import lombok.experimental.FieldDefaults;
import lombok.experimental.FieldNameConstants;
import lombok.experimental.SuperBuilder;
import org.hibernate.annotations.Comment;

/**
 * 岗位
 *
 * @author ifzm
 * 2018/9/3 15:45
 */

@Getter
@Setter
@ToString
@SuperBuilder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@FieldDefaults(level = AccessLevel.PRIVATE)
@Entity
@Comment("系统岗位")
@Table(name = "SYS_POST")
public class Post extends BasicEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 3744892781714515997L;

    @Comment("名称")
    String name;

    @Comment("描述")
    String describe;

    @Comment("是否启用")
    Boolean enable;
}
