/* (C) 2021 YiRing, Inc. */
package com.yiring.auth.param.auth;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotEmpty;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 用户登录参数
 *
 * @author ifzm
 * @version 0.1
 * 2019/5/28 22:11
 */
@ApiModel("LoginParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class LoginParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -8690942241103456895L;

    @ApiModelProperty(value = "账号(支持用户名/手机号/邮箱)", example = "admin", required = true)
    @NotEmpty(message = "账号不能为空")
    String account;

    @ApiModelProperty(value = "密码", example = "123456", required = true)
    @NotEmpty(message = "密码不能为空")
    String password;
}
