/* (C) 2022 YiRing, Inc. */
package com.yiring.auth.param.role;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotEmpty;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 角色信息入参类
 * @author Jim
 * @version 0.1
 * 2022/3/25 17:09
 */

@ApiModel("RoleParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class RoleParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 6572751635422870217L;

    @ApiModelProperty(value = "标识", example = "admin", required = true)
    @NotEmpty(message = "角色标识不能为空")
    String uid;

    @ApiModelProperty(value = "名称", example = "管理员", required = true)
    @NotEmpty(message = "角色名称不能为空")
    String name;
}
