/* (C) 2021 YiRing, Inc. */
package com.yiring.auth.vo.auth;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 用户登录输出信息
 *
 * @author ifzm
 * @version 0.1
 * 2019/5/28 22:11
 */

@ApiModel("LoginVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class LoginVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -8690942241103456896L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键", example = "1")
    Long userId;

    @ApiModelProperty(value = "token", example = "c68ca9c8c04b4a59afeafd2fb7c04741")
    String token;
}
