/* (C) 2022 YiRing, Inc. */
package com.yiring.auth.vo.permission;

import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.util.List;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 菜单输出类
 * @author Jim
 * @version 0.1
 * 2022/3/25 17:09
 */

@JsonInclude(JsonInclude.Include.NON_NULL)
@ApiModel("MenuVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class MenuVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -9139328772148985141L;

    @JsonIgnore
    Long id;

    @JsonIgnore
    Long pid;

    @ApiModelProperty(value = "名称", example = "Dashboard")
    String name;

    @ApiModelProperty(value = "路径", example = "/dashboard")
    String path;

    @ApiModelProperty(value = "重定向", example = "/dashboard/workbench")
    String redirect;

    @ApiModelProperty(value = "组件", example = "LAYOUT")
    String component;

    @ApiModelProperty(
        value = "元数据",
        example = "{\"title\": \"routes.dashboard.dashboard\", \"hideChildrenInMenu\": true}"
    )
    JSONObject meta;

    @ApiModelProperty(value = "子权限")
    List<MenuVo> children;
}
