/* (C) 2022 YiRing, Inc. */
package com.yiring.auth.vo.permission;

import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiring.auth.domain.permission.Permission;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.util.List;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 权限输出类
 * @author Jim
 * @version 0.1
 * 2022/3/25 17:09
 */

@JsonInclude(JsonInclude.Include.NON_NULL)
@ApiModel("PermissionVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class PermissionVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -9139328772148985141L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键", example = "1")
    Long id;

    @ApiModelProperty(value = "权限类型", example = "MENU")
    Permission.Type type;

    @ApiModelProperty(value = "序号", example = "1")
    Integer serial;

    @ApiModelProperty(value = "标识", example = "home")
    String uid;

    @ApiModelProperty(value = "名称", example = "主页")
    String name;

    @ApiModelProperty(value = "路径", example = "/")
    String path;

    @ApiModelProperty(value = "组件", example = "/home")
    String component;

    @ApiModelProperty(value = "图标", example = "menu")
    String icon;

    @ApiModelProperty(value = "是否隐藏", example = "false")
    Boolean hidden;

    @ApiModelProperty(value = "是否启用", example = "true")
    Boolean enable;

    @ApiModelProperty(value = "父级ID", example = "0")
    Long pid;

    @ApiModelProperty(value = "元数据", example = "{}")
    JSONObject meta;

    @ApiModelProperty(value = "子权限")
    List<PermissionVo> children;
}
