/* (C) 2022 YiRing, Inc. */
package com.yiring.auth.vo.role;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiring.auth.vo.permission.PermissionVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.util.List;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 角色响应类
 * @author Jim
 * @version 0.1
 * 2022/3/25 17:09
 */

@ApiModel("RoleVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class RoleVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -9154497137563970840L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键", example = "1")
    Long id;

    @ApiModelProperty(value = "标识", example = "admin")
    String uid;

    @ApiModelProperty(value = "名称", example = "系统管理员")
    String name;

    @ApiModelProperty("权限")
    List<PermissionVo> permissions;
}
