/* (C) 2022 YiRing, Inc. */
package com.yiring.auth.vo.user;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiring.auth.vo.role.RoleVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 用户信息
 * @author ifzm
 * 2022/03/03 10:35
 **/

@ApiModel("UserInfo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class UserInfoVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -5319037883240327088L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键", example = "1")
    Long userId;

    @ApiModelProperty(value = "真实姓名", example = "超级用户")
    String realName;

    @ApiModelProperty(value = "用户名", example = "admin")
    String username;

    @ApiModelProperty(value = "介绍", example = "系统管理员")
    String desc;

    @ApiModelProperty(value = "头像", example = "https://s1.ax1x.com/2022/03/30/qggJH0.jpg")
    String avatar;

    @ApiModelProperty("角色")
    @Builder.Default
    List<RoleVo> roles = new ArrayList<>(0);

    @ApiModelProperty(value = "用户主页", example = "/dashboard/workbench")
    String homePath;
}
