/* (C) 2022 YiRing, Inc. */
package com.yiring.auth.vo.user;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 用户信息
 * @author ifzm
 * 2022/03/03 10:35
 **/

@ApiModel("UserVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class UserVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -2184378273450466835L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键", example = "1")
    Long id;

    @ApiModelProperty(value = "真实姓名", example = "超级用户")
    String realName;

    @ApiModelProperty(value = "用户名", example = "admin")
    String username;

    @ApiModelProperty(value = "手机号", example = "13012345678")
    String mobile;

    @ApiModelProperty(value = "邮箱", example = "developer@yiring.com")
    String email;

    @ApiModelProperty(value = "职称", example = "系统管理员")
    String title;

    @ApiModelProperty(value = "头像", example = "https://s1.ax1x.com/2022/03/30/qggJH0.jpg")
    String avatar;

    @ApiModelProperty(value = "是否启用", example = "true")
    Boolean enabled;

    @ApiModelProperty(value = "是否删除", example = "false")
    Boolean deleted;

    @ApiModelProperty(value = "最后登录IP地址", example = "127.0.0.1")
    String lastLoginIp;

    @ApiModelProperty(value = "最后登录时间", example = "2022-10-24 10:24:00")
    LocalDateTime lastLoginTime;

    @ApiModelProperty(value = "最后登录时间", example = "2022-01-01 00:00:00")
    LocalDateTime createTime;
}
