/* (C) 2022 YiRing, Inc. */
package com.yiring.common.config;

import lombok.AccessLevel;
import lombok.Data;
import lombok.experimental.FieldDefaults;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * Env 环境变量配置注入
 *
 * @author Jim
 * @version 0.1
 * 2021/9/16 16:37
 */

@Data
@FieldDefaults(level = AccessLevel.PRIVATE)
@Configuration
@ConfigurationProperties(prefix = "env")
public class EnvConfig {

    /**
     * host，用来共享一些资源（如：数据库、文件存储等相关的依赖源）
     */
    String host;
    /**
     * 国标平台账号
     */
    String gbUsername;
    /**
     * 国标平台密码
     */
    String gbPassword;
}
