/* (C) 2022 YiRing, Inc. */
package com.yiring.common.dict;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import lombok.*;
import lombok.experimental.FieldDefaults;
import lombok.experimental.FieldNameConstants;
import org.hibernate.annotations.Comment;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.snowflake.SnowflakeId;

/**
 * @author tzl
 * 2022/4/14 14:07
 */
@Getter
@Setter
@ToString
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@FieldDefaults(level = AccessLevel.PRIVATE)
@Entity
@Table(name = "SYS_DICT_TYPE")
@Comment("字典类型")
public class DictType implements Serializable {

    @Serial
    private static final long serialVersionUID = -6302980159147541047L;

    @Id
    @Comment("主键id")
    @GeneratedValue(generator = SnowflakeId.GENERATOR)
    @GenericGenerator(name = SnowflakeId.GENERATOR, strategy = SnowflakeId.Strategy.LONG)
    Long id;

    @Comment("字典名称")
    String dictName;

    @Comment("字典类型")
    String dictType;

    @Comment("状态（0正常 1停用）")
    String status;

    @Comment("创建时间")
    LocalDateTime createTime;
}
