/* (C) 2021 YiRing, Inc. */
package com.yiring.common.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 公共的ID查询参数类
 *
 * @author ifzm
 * @version 0.1
 * 2019/5/28 22:11
 */
@ApiModel("IdParam")
@Valid
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class IdParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -8690942241103456893L;

    @ApiModelProperty(value = "id", example = "1", required = true)
    @NotNull(message = "id 不能为空")
    Long id;
}
