/* (C) 2021 YiRing, Inc. */
package com.yiring.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 键值对输出
 *
 * @author ifzm
 * @version 0.1
 * 2022/3/24 17:29
 */

@ApiModel("KeyValueVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class KeyValueVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -5238793972067296346L;

    @ApiModelProperty(value = "key", example = "key")
    String key;

    @ApiModelProperty(value = "value", example = "value")
    String value;

    /**
     * 扩展字段，可用于文本输出
     */
    @ApiModelProperty(value = "label", example = "label")
    String label;
}
