/* (C) 2022 YiRing, Inc. */
package com.yiring.common.config;

import io.minio.MinioClient;
import lombok.AccessLevel;
import lombok.Data;
import lombok.experimental.FieldDefaults;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * Minio 配置注入
 *
 * @author Jim
 * @version 0.1
 * 2021/9/16 16:37
 */

@Data
@FieldDefaults(level = AccessLevel.PRIVATE)
@Configuration
@ConfigurationProperties(prefix = "minio")
public class MinioConfig {

    String endpoint;
    String accessKey;
    String secretKey;
    String bucket;
    String domain;

    @Bean("MinioClient")
    public MinioClient getClient() {
        return MinioClient.builder().endpoint(endpoint).credentials(accessKey, secretKey).build();
    }
}
