/* (C) 2022 YiRing, Inc. */
package com.yiring.common.annotation;

import java.lang.annotation.*;

/**
 * 字段映射
 * 用于记录并处理数据表字段与外部系统的字段映射关系，便于进行数据同步转换处理
 *
 * @author Jim
 * @version 0.1
 * 2022/4/7 15:21
 */

@SuppressWarnings({ "unused" })
@Target({ ElementType.FIELD, ElementType.ANNOTATION_TYPE })
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface FieldMapping {
    /**
     * 映射字段
     */
    String value() default "";

    /**
     * 描述信息
     */
    String desc() default "";

    /**
     * 映射类型
     */
    Class<?> type() default Object.class;
}
