## 技术栈

### 基础

<!-- prettier-ignore -->
- [SpringBoot v2.6.x](https://spring.io/projects/spring-boot)
- [Lombok](https://projectlombok.org/)
- [Spring Web](https://docs.spring.io/spring-framework/docs/current/reference/html/web.html)
- [Spring Data Jpa](https://spring.io/projects/spring-data-jpa)
- [Spring Data Redis](https://spring.io/projects/spring-data-redis)

### SQL

<!-- prettier-ignore -->
- [Postgresql + TimescaleDB + PostGIS](https://hub.docker.com/r/timescale/timescaledb-postgis) 时序 + 空间数据

### MQ

<!-- prettier-ignore -->
- [RabbitMQ](https://www.rabbitmq.com/) 消息队列

### Cache

<!-- prettier-ignore -->
- [Redis](https://redis.io/) 缓存

### Storage

<!-- prettier-ignore -->
- [MinIO](https://min.io/) 文件存储

### Job

<!-- prettier-ignore -->
- [XXL-JOB](https://www.xuxueli.com/xxl-job/) 任务调度

### Video Media

<!-- prettier-ignore -->
- [WVP-GB28181-PRO](https://github.com/648540858/wvp-GB28181-pro) 流媒体平台，用来统一处理监控摄像头视频流

### Tools

<!-- prettier-ignore -->
- [Hutool](https://www.hutool.cn/) 工具包
- [FastJson](https://github.com/alibaba/fastjson) JSON 工具包

### Doc

<!-- prettier-ignore -->
- [Knife4j](https://doc.xiaominfo.com/) Swagger 增强包

### 扩展

<!-- prettier-ignore -->
- [sa-token](https://sa-token.dev33.cn/) 权限认证框架
- [MinIO](https://docs.min.io/) 文件存储

### 可选

<!-- prettier-ignore -->
- [MyBatis Plus](https://baomidou.com/) MyBatis 增强包（允许与 JPA 混合使用）

### 构建工具

<!-- prettier-ignore -->
- [Gradle](https://gradle.org/)

### 其他

<!-- prettier-ignore -->
- [spotless](https://github.com/diffplug/spotless) 代码规范工具
- [commitizen](https://github.com/commitizen) Git 提交规范工具
- ...
